%define name	libx86
%define version	1.1
%define release	%mkrel 10.1
%define major	1
%define libname	%mklibname x86 %{nil} %{major}
%define develname	%mklibname x86 -d

Name:		%name
Version:	%version
Release:	%release
Summary:	Hardware-independent library for executing real-mode x86 code
Group:		System/Libraries
URL:		http://www.codon.org.uk/~mjg59/libx86/
Source:		http://www.codon.org.uk/~mjg59/libx86/downloads/%{name}-%{version}.tar.xz

Patch0:		libx86-0.99-ifmask.patch
Patch1:		libx86-add-pkgconfig.patch
Patch2:		libx86-fix-invalid-instruction.patch
Patch3:		libx86-libc-test.patch

License:	GPL
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
#ExclusiveArch:	%{ix86} x86_64

%description
It's often useful to be able to make real-mode x86 BIOS calls from userland.
lrmi provides a simple interface to this for x86 machines, but this doesn't
help on other platforms.

libx86 provides the lrmi interface, but will also run on platforms such as
amd64 and alpha.

%package -n %{libname}
Summary:	Hardware-independent library for executing real-mode x86 code
Group:		System/Libraries

%description -n %{libname}
It's often useful to be able to make real-mode x86 BIOS calls from userland.
lrmi provides a simple interface to this for x86 machines, but this doesn't
help on other platforms.

libx86 provides the lrmi interface, but will also run on platforms such as
amd64 and alpha.

This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n %{develname}
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
This package contains the development files for %{name}.

%prep
%setup -q
%patch0 -p0 -b .ifmask
%patch1 -p1 -b .pc
%ifarch x86_64
%patch2 -p1 -b .sigill
%endif
%patch3 -p1 -b .libc


%build
%ifarch x86_64
%make BACKEND=x86emu CFLAGS="%{optflags} -fPIC"
%else
%make CFLAGS="%{optflags}"	
%endif


%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} LIBDIR=%{_libdir} install
chmod 0644 %{buildroot}%{_libdir}/libx86.a

%clean
rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%doc COPYRIGHT
%{_libdir}/libx86.so.%{major}

%files -n %{develname}
%defattr(-,root,root)
%{_libdir}/libx86.a
%{_libdir}/libx86.so
%{_includedir}/libx86.h
%{_libdir}/pkgconfig/x86.pc

%changelog
* Wed Jul 05 2017 adrianomorselli <adrianomorselli> 1.1-10.1uplos2017
- update
